> ## Documentation Index
> Fetch the complete documentation index at: https://developers.nlpearl.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Inbounds

> Retrieves all inbounds



## OpenAPI

````yaml get /v1/Inbound
openapi: 3.0.1
info:
  title: NLPearl Client API
  description: A sample API that demonstrates features in the OpenAPI specification
  version: v1
servers:
  - url: https://api.nlpearl.ai
    description: Production Environement
security:
  - bearer_auth: []
paths:
  /v1/Inbound:
    get:
      tags:
        - Inbound
      summary: Get Inbounds
      description: Retrieves all inbounds
      responses:
        '200':
          description: List of all inbound for the client.
          content:
            text/plain:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/InboundListApiView'
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/InboundListApiView'
            text/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/InboundListApiView'
        '400':
          description: Error
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ValidationProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ValidationProblemDetails'
components:
  schemas:
    InboundListApiView:
      type: object
      properties:
        id:
          type: string
          description: The unique identifier of the inboundy.
          nullable: true
        name:
          type: string
          description: The name of the inbound.
          nullable: true
        totalAgents:
          type: integer
          description: The total number of agents allocated to this inbound.
          format: int32
        status:
          allOf:
            - $ref: '#/components/schemas/eActivityStatus'
          description: |+
            Here is the activity status

            `1 - Running`

            `2 - Paused`

            `3 - Suspended`

            `10 - TemporaryMaintenance`

        created:
          type: string
          description: The date and time when the inbound was created.
          format: date-time
      additionalProperties: false
    ValidationProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
        errors:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
          nullable: true
      additionalProperties: {}
    eActivityStatus:
      type: integer
      description: |+
        Here is the activity status

        `1 - Running`

        `2 - Paused`

        `3 - Suspended`

        `10 - TemporaryMaintenance`

      format: int32
  securitySchemes:
    bearer_auth:
      type: http
      description: >-
        Specify the authorization token.


        For more information, check out the [Authorization
        Guide](/api-reference/authorization).
      scheme: bearer

````